#ifndef CPHYSICS_JOINT_H
#define CPHYSICS_JOINT_H

#include "PhysicsGlobal.h"

class IPhysicsJoint
{
public:
	IPhysicsJoint();
	~IPhysicsJoint();

	void setCollisionState(int state);
	void setStiffness(f32 stiffness);

	int getCollisionState();
	f32 getStiffness();

	NewtonJoint* getJoint();

protected:
	static NewtonWorld* m_world;
	NewtonJoint* m_joint;

private:
	static void _cdecl destructor(const NewtonJoint* me);

};

#endif
